import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, i = (n, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, c = n.length - 1, p; c >= 0; c--)
    (p = n[c]) && (e = (r ? p(t, s, e) : p(e)) || e);
  return r && e && g(t, s, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--stopLarge", this.class = "c-pieIcon c-pieIcon--stopLarge", this.name = "IconStopLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" class="c-pieIcon c-pieIcon--stopLarge"><path d="M21.77 7.11H10.23c-1.72 0-3.12 1.4-3.12 3.12v11.54c0 1.72 1.4 3.12 3.12 3.12h11.54c1.72 0 3.12-1.4 3.12-3.12V10.23c0-1.72-1.4-3.12-3.12-3.12Zm1.34 14.66c0 .74-.6 1.34-1.34 1.34H10.23c-.74 0-1.34-.6-1.34-1.34V10.23c0-.74.6-1.34 1.34-1.34h11.54c.74 0 1.34.6 1.34 1.34v11.54Z"></path></svg>`;
  }
};
i([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  f("icon-stop-large")
], o);
export {
  o as IconStopLarge
};
